Package com.collibra.dgc.core.api.dto.navigation

# Class RecentlyViewedAssetsRequest

Object
PagedRequest
RecentlyViewedAssetsRequest

All Implemented Interfaces:
  `Serializable`

public class RecentlyViewedAssetsRequest extends PagedRequest

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `RecentlyViewedAssetsRequest.Builder`

- ## Field Summary

  ### Fields inherited from class PagedRequest

  `countLimit, limit, offset`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RecentlyViewedAssetsRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RecentlyViewedAssetsRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `List<UUID>`
  `getCommunityIds()`
  The list of IDs of the communities.
  `List<UUID>`
  `getDomainIds()`
  The list of IDs of the domains.
  `String`
  `getName()`
  The name of the asset to search for (either display name or full name).
  `MatchMode`
  `getNameMatchMode()`
  The match mode used to compare `name`.
  `List<UUID>`
  `getStatusIds()`
  The list of IDs of the statuses.
  `List<UUID>`
  `getTypeIds()`
  The list of IDs of the asset types.
  `int`
  `hashCode()`
  `boolean`
  `isTypeInheritance()`
  Whether the type inheritance for the asset type filtering should be applied or not.
  `void`
  `setCommunityIds(List<UUID> communityIds)`
  The list of IDs of the communities.
  `void`
  `setDomainIds(List<UUID> domainIds)`
  The list of IDs of the domains.
  `void`
  `setName(String name)`
  The name of the asset to search for (either display name or full name).
  `void`
  `setNameMatchMode(MatchMode nameMatchMode)`
  The match mode used to compare `name`.
  `void`
  `setStatusIds(List<UUID> statusIds)`
  The list of IDs of the statuses.
  `void`
  `setTypeIds(List<UUID> typeIds)`
  The list of IDs of the asset types.
  `void`
  `setTypeInheritance(boolean typeInheritance)`
  Whether the type inheritance for the asset type filtering should be applied or not.
  `String`
  `toString()`

  ### Methods inherited from class PagedRequest

  `getCountLimit, getLimit, getOffset, isPagingActive, setCountLimit, setLimit, setOffset`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RecentlyViewedAssetsRequest

    public RecentlyViewedAssetsRequest()

- ## Method Details

  - ### builder

    public static RecentlyViewedAssetsRequest.Builder builder()

  - ### getName

    public String getName()
    The name of the asset to search for (either display name or full name).

  - ### getNameMatchMode

    public MatchMode getNameMatchMode()
    The match mode used to compare `name`.

  - ### getDomainIds

    public List<UUID> getDomainIds()
    The list of IDs of the domains. The returned assets are of one of domains specified by this parameter

  - ### getCommunityIds

    public List<UUID> getCommunityIds()
    The list of IDs of the communities. The returned assets are of one of communities specified by this parameter

  - ### getTypeIds

    public List<UUID> getTypeIds()
    The list of IDs of the asset types. The returned assets are of one of types specified by this parameter

  - ### getStatusIds

    public List<UUID> getStatusIds()
    The list of IDs of the statuses. The returned assets have one of statuses specified by this parameter

  - ### isTypeInheritance

    public boolean isTypeInheritance()
    Whether the type inheritance for the asset type filtering should be applied or not.

  - ### setName

    public void setName(String name)
    The name of the asset to search for (either display name or full name).

  - ### setNameMatchMode

    public void setNameMatchMode(MatchMode nameMatchMode)
    The match mode used to compare `name`.

  - ### setDomainIds

    public void setDomainIds(List<UUID> domainIds)
    The list of IDs of the domains. The returned assets are of one of domains specified by this parameter

  - ### setCommunityIds

    public void setCommunityIds(List<UUID> communityIds)
    The list of IDs of the communities. The returned assets are of one of communities specified by this parameter

  - ### setTypeIds

    public void setTypeIds(List<UUID> typeIds)
    The list of IDs of the asset types. The returned assets are of one of types specified by this parameter

  - ### setStatusIds

    public void setStatusIds(List<UUID> statusIds)
    The list of IDs of the statuses. The returned assets have one of statuses specified by this parameter

  - ### setTypeInheritance

    public void setTypeInheritance(boolean typeInheritance)
    Whether the type inheritance for the asset type filtering should be applied or not.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `PagedRequest`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `PagedRequest`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `PagedRequest`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `PagedRequest`